Subject: Re: Bug in fstream code and gcc-2 package?
From: "Gerrit P. Haase" <[email-masked]>
To: Beman Dawes <[email-masked]>
Cc: [email-masked], "John Maddock" <[email-masked]>
Date: Sat, 3 Jan 2004 22:12:45 +0100

Hallo Beman,

I cannot reproduce it here on my NT4 SP 6a:

$ uname -svr
CYGWIN_NT-4.0 1.5.5(0.94/3/2) 2003-09-20 16:31

$ cygcheck -c gcc
Cygwin Package Information
Package              Version        Status
gcc                  3.3.1-3        OK

$ cygcheck -c gcc-g++
Cygwin Package Information
Package              Version        Status
gcc-g++              3.3.1-3        OK

$ g++ fstream.cpp
$ ls
a.exe*  fstream.cpp
$ ./a
$ cygcheck a
Found: .\a.exe
a.exe
  H:\bin\cygwin1.dll
    C:\WINNT\System32\KERNEL32.dll
      C:\WINNT\System32\ntdll.dll

$ g++ -mno-cygwin fstream.cpp
$ ls
a.exe*  fstream.cpp
$ ./a
$ cygcheck a
Found: .\a.exe
a.exe
  C:\WINNT\System32\msvcrt.dll
    C:\WINNT\System32\KERNEL32.dll
      C:\WINNT\System32\ntdll.dll

Can you run it with gdb and try to figure out what fails for you?

Gerrit

Am Samstag, 3. Januar 2004 um 15:39 schriebst du:

> At 06:58 AM 1/3/2004, John Maddock wrote:
 >>Beman,
 >>
 >>Here's the reply I got from the cygwin list on this, can you reply with
 >>details of your system and the fact that it fails there?

> John's fstream.cpp test program fails on my Win XP SP 1 system. I've
> reinstalled cygwin gcc and mingw components freshly downloaded. The gcc and
> gcc-g++ .tar.bz2 files are identified as 3.3.1-3. The mingw-runtime id is
> 3.2-1.

> The command line I'm using is simply: g++ fstream.cpp

> Executing the resulting program results in:

>    2 [main] a 1668 handle_exceptions: Exception: STATUS_ACCESS_VIOLATION
> 413 [main] a 1668 open_stackdumpfile: Dumping stack trace to 
> a.exe.stackdump

> The program compiles and executes correctly with Borland, Intel, 
> Metrowerks, and Microsoft compilers.

> Any suggestions? This is the system used to run the Boost Win32 regression
> tests, and we would like to eliminate as many gcc/cygwin failures as
> possible. See http://boost.sourceforge.net/regression-logs/

> Thanks,

> --Beman Dawes

 >>
 >>Many thanks,
 >>
 >>John.
 >>
 >>----- Original Message -----
 >>From: "Larry Hall" <[email-masked]>
 >>To: "John Maddock" <[email-masked]>; <[email-masked]>
 >>Sent: Friday, January 02, 2004 2:46 PM
 >>Subject: Re: Bug in fstream code and gcc-2 package?
 >>
 >>
 >>> At 07:54 AM 1/2/2004, John Maddock you wrote:
 >>> >The following example code works cleanly on all the platforms I've
 >>tested
 >>> >on, except the gcc-2 package where it segfaults:
 >>>
 >>>
 >>> The gcc-2 package has been removed as a package from Cygwin mirrors (or
 >>> should be) and is no longer supported.  Try it with the current Cygwin
 >>> gcc/g++ package (3.3.1).  Your code executes without a crash there.
 >>>
 >>>
 >>>
 >>> --
 >>> Larry Hall                              http://www.rfk.com
 >>> RFK Partners, Inc.                      (508) 893-9779 - RFK Office
 >>> 838 Washington Street                   (508) 893-9889 - FAX
 >>> Holliston, MA 01746
 >>>
 >>>

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/